(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("vue"), require("@kq_npm/client_common_vue/_types/global-event"), require("@kq_npm/client_common_vue/init.js"));
	else if(typeof define === 'function' && define.amd)
		define(["vue", "@kq_npm/client_common_vue/_types/global-event", "@kq_npm/client_common_vue/init.js"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("vue"), require("@kq_npm/client_common_vue/_types/global-event"), require("@kq_npm/client_common_vue/init.js")) : factory(root["Vue"], root["@kq_npm/client_common_vue/_types/global-event"], root["@kq_npm/client_common_vue/init.js"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(this, function(__WEBPACK_EXTERNAL_MODULE__154__, __WEBPACK_EXTERNAL_MODULE__3353__, __WEBPACK_EXTERNAL_MODULE__455__) {
return /******/ (function() { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ 675:
/***/ (function(module) {

!function (e, t) {
   true ? module.exports = t() : 0;
}(this, function () {
  "use strict";

  class e {
    constructor(e) {
      this.standards = {
        strict: "strict",
        loose: "loose",
        html5: "html5"
      }, this.previewBody = null, this.close = null, this.previewBodyUtilPrintBtn = null, this.selectArray = [], this.counter = 0, this.settings = {
        standard: this.standards.html5
      }, Object.assign(this.settings, e), this.init();
    }
    init() {
      this.counter++, this.settings.id = `printArea_${this.counter}`;
      let e = "";
      this.settings.url && !this.settings.asyncUrl && (e = this.settings.url);
      let t = this;
      if (this.settings.asyncUrl) return void t.settings.asyncUrl(function (e) {
        let i = t.getPrintWindow(e);
        t.settings.preview ? t.previewIfrmaeLoad() : t.print(i);
      }, t.settings.vue);
      let i = this.getPrintWindow(e);
      this.settings.url || this.write(i.doc), this.settings.preview ? this.previewIfrmaeLoad() : this.print(i);
    }
    addEvent(e, t, i) {
      e.addEventListener ? e.addEventListener(t, i, !1) : e.attachEvent ? e.attachEvent("on" + t, i) : e["on" + t] = i;
    }
    previewIfrmaeLoad() {
      let e = document.getElementById("vue-pirnt-nb-previewBox");
      if (e) {
        let t = this,
          i = e.querySelector("iframe");
        this.settings.previewBeforeOpenCallback(), this.addEvent(i, "load", function () {
          t.previewBoxShow(), t.removeCanvasImg(), t.settings.previewOpenCallback();
        }), this.addEvent(e.querySelector(".previewBodyUtilPrintBtn"), "click", function () {
          t.settings.beforeOpenCallback(), t.settings.openCallback(), i.contentWindow.print(), t.settings.closeCallback();
        });
      }
    }
    removeCanvasImg() {
      let e = this;
      try {
        if (e.elsdom) {
          let t = e.elsdom.querySelectorAll(".canvasImg");
          for (let e = 0; e < t.length; e++) t[e].remove();
        }
      } catch (t) {
        console.log(t);
      }
    }
    print(e) {
      var t = this;
      let i = document.getElementById(this.settings.id) || e.f,
        l = document.getElementById(this.settings.id).contentWindow || e.f.contentWindow;
      t.settings.beforeOpenCallback(), t.addEvent(i, "load", function () {
        l.focus(), t.settings.openCallback(), l.print(), i.remove(), t.settings.closeCallback(), t.removeCanvasImg();
      });
    }
    write(e) {
      e.open(), e.write(`${this.docType()}<html>${this.getHead()}${this.getBody()}</html>`), e.close();
    }
    docType() {
      return this.settings.standard === this.standards.html5 ? "<!DOCTYPE html>" : `<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01${this.settings.standard === this.standards.loose ? " Transitional" : ""}//EN" "http://www.w3.org/TR/html4/${this.settings.standard === this.standards.loose ? "loose" : "strict"}.dtd">`;
    }
    getHead() {
      let e = "",
        t = "",
        i = "";
      this.settings.extraHead && this.settings.extraHead.replace(/([^,]+)/g, t => {
        e += t;
      }), [].forEach.call(document.querySelectorAll("link"), function (e) {
        e.href.indexOf(".css") >= 0 && (t += `<link type="text/css" rel="stylesheet" href="${e.href}" >`);
      });
      let l = document.styleSheets;
      if (l && l.length > 0) for (let r = 0; r < l.length; r++) try {
        if (l[r].cssRules || l[r].rules) {
          let e = l[r].cssRules || l[r].rules;
          for (let t = 0; t < e.length; t++) i += e[t].cssText;
        }
      } catch (s) {
        console.log(l[r].href + s);
      }
      return this.settings.extraCss && this.settings.extraCss.replace(/([^,\s]+)/g, e => {
        t += `<link type="text/css" rel="stylesheet" href="${e}">`;
      }), `<head><title>${this.settings.popTitle}</title>${e}${t}<style type="text/css">${i}</style></head>`;
    }
    getBody() {
      let e = this.settings.ids;
      return e = e.replace(new RegExp("#", "g"), ""), this.elsdom = this.beforeHanler(document.getElementById(e)), "<body>" + this.getFormData(this.elsdom).outerHTML + "</body>";
    }
    beforeHanler(e) {
      let t = e.querySelectorAll("canvas");
      for (let i = 0; i < t.length; i++) if (!t[i].style.display) {
        let e = t[i].parentNode,
          l = t[i].toDataURL("image/png"),
          s = new Image();

        //zl 0822 样式赋值
        let a = t[i].attributes;
        for (let z = 0; z < a.length; z++) {
          switch (a[z].name) {
            case 'class':
              s['className'] = a[z].value;
              break;
            case 'width':
            case 'height':
              s[a[z].name] = a[z].value;
              break;
            case 'style':
              const styles = a[z].value.split(';');
              for (let zz = 0; zz < styles.length; zz++) {
                if (styles[zz].trim() === '') continue;
                let ss = styles[zz].split(':'),
                  s1 = ss[0].trim(),
                  s2 = ss[1].trim();
                s.style[s1] = s2;
              }
              break;
          }
        }
        s.className += " canvasImg", s.style.display = "none", s.src = l, e.appendChild(s);
      }
      return e;
    }
    getFormData(e) {
      let t = e.cloneNode(!0),
        i = t.querySelectorAll("input,select,textarea"),
        l = t.querySelectorAll(".canvasImg,canvas"),
        s = -1;
      for (let r = 0; r < l.length; r++) {
        let e = l[r].parentNode,
          t = l[r];
        "canvas" === t.tagName.toLowerCase() ? e.removeChild(t) : t.style.display = "block";
      }
      for (let r = 0; r < i.length; r++) {
        let t = i[r],
          l = t.getAttribute("type"),
          n = i[r];
        if (l || (l = "SELECT" === t.tagName ? "select" : "TEXTAREA" === t.tagName ? "textarea" : ""), "INPUT" === t.tagName) "radio" === l || "checkbox" === l ? t.checked && n.setAttribute("checked", t.checked) : (n.value = t.value, n.setAttribute("value", t.value));else if ("select" === l) {
          s++;
          for (let i = 0; i < e.querySelectorAll("select").length; i++) {
            let l = e.querySelectorAll("select")[i];
            if (!l.getAttribute("newbs") && l.setAttribute("newbs", i), l.getAttribute("newbs") == s) {
              let i = e.querySelectorAll("select")[s].selectedIndex;
              t.options[i].setAttribute("selected", !0);
            }
          }
        } else n.innerHTML = t.value, n.setAttribute("html", t.value);
      }
      return t;
    }
    getPrintWindow(e) {
      var t = this.Iframe(e);
      return {
        f: t,
        win: t.contentWindow || t,
        doc: t.doc
      };
    }
    previewBoxShow() {
      let e = document.getElementById("vue-pirnt-nb-previewBox");
      e && (document.querySelector("html").setAttribute("style", "overflow: hidden"), e.style.display = "block");
    }
    previewBoxHide() {
      let e = document.getElementById("vue-pirnt-nb-previewBox");
      e && (document.querySelector("html").setAttribute("style", "overflow: visible;"), e.querySelector("iframe") && e.querySelector("iframe").remove(), e.style.display = "none");
    }
    previewBox() {
      let e = document.getElementById("vue-pirnt-nb-previewBox"),
        t = "previewBody";
      if (e) return e.querySelector("iframe") && e.querySelector("iframe").remove(), {
        close: e.querySelector(".previewClose"),
        previewBody: e.querySelector(".previewBody")
      };
      let i = document.createElement("div");
      i.setAttribute("id", "vue-pirnt-nb-previewBox"), i.setAttribute("style", "position: fixed;top: 0px;left: 0px;width: 100%;height: 100%;background: white;display:none"), i.style.zIndex = this.settings.zIndex;
      let l = document.createElement("div");
      l.setAttribute("class", "previewHeader"), l.setAttribute("style", "padding: 5px 20px;"), l.innerHTML = this.settings.previewTitle, i.appendChild(l), this.close = document.createElement("div");
      let s = this.close;
      s.setAttribute("class", "previewClose"), s.setAttribute("style", "position: absolute;top: 5px;right: 20px;width: 25px;height: 20px;cursor: pointer;");
      let r = document.createElement("div"),
        n = document.createElement("div");
      r.setAttribute("class", "closeBefore"), r.setAttribute("style", "position: absolute;width: 3px;height: 100%;background: #040404;transform: rotate(45deg); top: 0px;left: 50%;"), n.setAttribute("class", "closeAfter"), n.setAttribute("style", "position: absolute;width: 3px;height: 100%;background: #040404;transform: rotate(-45deg); top: 0px;left: 50%;"), s.appendChild(r), s.appendChild(n), l.appendChild(s), this.previewBody = document.createElement("div");
      let o = this.previewBody;
      o.setAttribute("class", t), o.setAttribute("style", "display: flex;flex-direction: column; height: 100%;"), i.appendChild(o);
      let a = document.createElement("div");
      a.setAttribute("class", "previewBodyUtil"), a.setAttribute("style", "height: 32px;background: #474747;position: relative;"), o.appendChild(a), this.previewBodyUtilPrintBtn = document.createElement("div");
      let d = this.previewBodyUtilPrintBtn;
      return d.setAttribute("class", "previewBodyUtilPrintBtn"), d.innerHTML = this.settings.previewPrintBtnLabel, d.setAttribute("style", "position: absolute;padding: 2px 10px;margin-top: 3px;left: 24px;font-size: 14px;color: white;cursor: pointer;background-color: rgba(0,0,0,.12);background-image: linear-gradient(hsla(0,0%,100%,.05),hsla(0,0%,100%,0));background-clip: padding-box;border: 1px solid rgba(0,0,0,.35);border-color: rgba(0,0,0,.32) rgba(0,0,0,.38) rgba(0,0,0,.42);box-shadow: inset 0 1px 0 hsla(0,0%,100%,.05), inset 0 0 1px hsla(0,0%,100%,.15), 0 1px 0 hsla(0,0%,100%,.05);"), a.appendChild(d), document.body.appendChild(i), {
        close: this.close,
        previewBody: this.previewBody
      };
    }
    iframeBox(e, t) {
      let i = document.createElement("iframe");
      return i.style.border = "0px", i.style.position = "absolute", i.style.width = "0px", i.style.height = "0px", i.style.right = "0px", i.style.top = "0px", i.setAttribute("id", e), i.setAttribute("src", t), i;
    }
    Iframe(e) {
      let t = this.settings.id;
      e = e || new Date().getTime();
      let i = this,
        l = this.iframeBox(t, e);
      try {
        if (this.settings.preview) {
          l.setAttribute("style", "border: 0px;flex: 1;");
          let e = this.previewBox(),
            t = e.previewBody,
            s = e.close;
          t.appendChild(l), this.addEvent(s, "click", function () {
            i.previewBoxHide();
          });
        } else document.body.appendChild(l);
        l.doc = null, l.doc = l.contentDocument ? l.contentDocument : l.contentWindow ? l.contentWindow.document : l.document;
      } catch (s) {
        throw new Error(s + ". iframes may not be supported in this browser.");
      }
      if (null == l.doc) throw new Error("Cannot find document.");
      return l;
    }
  }
  var t = {
    directiveName: "print",
    mounted(t, i, l) {
      let s = i.instance,
        r = "";
      var n, o, a;
      o = "click", a = () => {
        if ("string" == typeof i.value) r = i.value;else {
          if ("object" != typeof i.value || !i.value.id) return void window.print();
          {
            r = i.value.id;
            let e = r.replace(new RegExp("#", "g"), "");
            document.getElementById(e) || (console.log("id in Error"), r = "");
          }
        }
        d();
      }, (n = t).addEventListener ? n.addEventListener(o, a, !1) : n.attachEvent ? n.attachEvent("on" + o, a) : n["on" + o] = a;
      const d = () => {
        new e({
          ids: r,
          vue: s,
          url: i.value.url,
          standard: "",
          extraHead: i.value.extraHead,
          extraCss: i.value.extraCss,
          zIndex: i.value.zIndex || 20002,
          previewTitle: i.value.previewTitle || "打印预览",
          previewPrintBtnLabel: i.value.previewPrintBtnLabel || "打印",
          popTitle: i.value.popTitle,
          preview: i.value.preview || !1,
          asyncUrl: i.value.asyncUrl,
          previewBeforeOpenCallback() {
            i.value.previewBeforeOpenCallback && i.value.previewBeforeOpenCallback(s);
          },
          previewOpenCallback() {
            i.value.previewOpenCallback && i.value.previewOpenCallback(s);
          },
          openCallback() {
            i.value.openCallback && i.value.openCallback(s);
          },
          closeCallback() {
            i.value.closeCallback && i.value.closeCallback(s);
          },
          beforeOpenCallback() {
            i.value.beforeOpenCallback && i.value.beforeOpenCallback(s);
          }
        });
      };
    },
    install: function (e) {
      e.directive("print", t);
    }
  };
  return t;
});

/***/ }),

/***/ 9371:
/***/ (function(module) {

"use strict";
module.exports = require("@element-plus/icons-vue");

/***/ }),

/***/ 2652:
/***/ (function(module) {

"use strict";
module.exports = require("core-js/modules/es.array.push.js");

/***/ }),

/***/ 3579:
/***/ (function(module) {

"use strict";
module.exports = require("vue-i18n/dist/vue-i18n.cjs.js");

/***/ }),

/***/ 3353:
/***/ (function(module) {

"use strict";
module.exports = __WEBPACK_EXTERNAL_MODULE__3353__;

/***/ }),

/***/ 455:
/***/ (function(module) {

"use strict";
module.exports = __WEBPACK_EXTERNAL_MODULE__455__;

/***/ }),

/***/ 154:
/***/ (function(module) {

"use strict";
module.exports = __WEBPACK_EXTERNAL_MODULE__154__;

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be in strict mode.
!function() {
"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": function() { return /* reexport */ ClientPrint; }
});

// EXTERNAL MODULE: external "core-js/modules/es.array.push.js"
var es_array_push_js_ = __webpack_require__(2652);
// EXTERNAL MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_ = __webpack_require__(154);
;// CONCATENATED MODULE: external "html2canvas"
var external_html2canvas_namespaceObject = require("html2canvas");
var external_html2canvas_default = /*#__PURE__*/__webpack_require__.n(external_html2canvas_namespaceObject);
// EXTERNAL MODULE: external "@element-plus/icons-vue"
var icons_vue_ = __webpack_require__(9371);
// EXTERNAL MODULE: ./public/libs/kqwebclient/leaflet/3rd-libs/vue3-print-nb/vue3-print-nb.umd.js
var vue3_print_nb_umd = __webpack_require__(675);
var vue3_print_nb_umd_default = /*#__PURE__*/__webpack_require__.n(vue3_print_nb_umd);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/_types/global-event"
var global_event_ = __webpack_require__(3353);
var global_event_default = /*#__PURE__*/__webpack_require__.n(global_event_);
// EXTERNAL MODULE: external "vue-i18n/dist/vue-i18n.cjs.js"
var vue_i18n_cjs_js_ = __webpack_require__(3579);
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/webgl/clientPrint/ClientPrint.vue?vue&type=script&setup=true&lang=js


const _hoisted_1 = {
  class: "kq3d-client-print-wrapper",
  ref: "clientRef"
};
const _hoisted_2 = {
  class: "setting-box-btn"
};
const _hoisted_3 = {
  class: "title"
};
const _hoisted_4 = {
  class: "title"
};
const _hoisted_5 = {
  class: "title"
};
const _hoisted_6 = {
  class: "select-content-inner"
};
const _hoisted_7 = {
  style: {
    "text-align": "right"
  }
};
const _hoisted_8 = {
  class: "title"
};
const _hoisted_9 = {
  class: "select-layer-content"
};
const _hoisted_10 = {
  class: "title"
};
const _hoisted_11 = {
  class: "select-content-inner"
};
const _hoisted_12 = {
  style: {
    "float": "right"
  }
};
const _hoisted_13 = {
  class: "clientprint-title"
};
const _hoisted_14 = {
  class: "title"
};
const _hoisted_15 = {
  class: "select-content-inner"
};
const _hoisted_16 = ["placeholder"];
const _hoisted_17 = {
  class: "btn"
};
const _hoisted_18 = {
  class: "show-right-box-btn"
};
const _hoisted_19 = {
  class: "btn-group"
};
const _hoisted_20 = {
  class: "kq3d-client-print-titleContainerDiv"
};
const _hoisted_21 = {
  class: "baseImage"
};
const _hoisted_22 = ["src"];
const _hoisted_23 = ["id"];
const _hoisted_24 = ["onClick"];
const _hoisted_25 = {
  class: "kq3d-client-print-infomationContainer"
};
const _hoisted_26 = {
  class: "kq3d-client-print-companyName"
};
const _hoisted_27 = {
  class: "kq3d-client-print-systemTime"
};






const __default__ = {
  name: "Kq3dClientPrint"
};
/* harmony default export */ var ClientPrintvue_type_script_setup_true_lang_js = (/*@__PURE__*/Object.assign(__default__, {
  props: {
    // 每个地图相关组件的必须参数 非必传 指定组件绑定的map对象的div的id
    mapTarget: String,
    //打印标题
    printTitle: {
      type: String
    },
    //打印显示的公司名
    companyName: {
      type: String
    },
    // 是否显示阴影
    showShadow: {
      type: Boolean,
      default: true
    },
    options: Object,
    /**
     * 图层数据源
     * 事例：
     *  {
          name: null,// 服务名称
          url: null,//服务地址
          token: null,//服务token
          type: "kqmapserver", //服务类型  kqmapserver或者kq3dserver
          isShowAllLayers: true,
          defaultShowLayerNames: []
        }
     */
    service: Object,
    // SceneView初始化的参数对象，包含初始化范围和layer信息。
    scenceInfo: Object,
    // 默认显示的图层组名称
    defaultShowLayerNames: Array,
    /**
     *   showToolButtons - 是否显示工具栏按钮
     */
    showToolButtons: {
      type: Boolean,
      default: true
    },
    /**
     * 例:"top-left","top-right","bottom-left","bottom-right","left","right","bottom"
     * {top:'16px',left:'16px'}, {top:16,left:16}
     */
    toolButtonsPosition: [String, Object],
    showLogo: {
      type: Boolean,
      default: false
    }
  },
  setup(__props, {
    expose: __expose
  }) {
    let language = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)({});
    let {
      locale,
      messages
    } = (0,vue_i18n_cjs_js_.useI18n)();
    //国际化
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.watch)(() => locale.value, (newVal, oldVal) => {
      language.value = messages.value[newVal]["webgl"];
      companyName.value = props.companyName || language.value.comapanyname;
      systemTime.value = newVal == 'zh' ? getSystemIime() : getSystemEnTime();
      printObj.value.popTitle = language.value.print;
    });
    const props = __props;
    let setTitleDataform = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)({
      style: {
        fontSize: "18px",
        fontFamily: "Microsoft YaHei",
        color: "rgba(0, 0, 0)",
        textarea: "",
        backgroundColor: "",
        padding: "5px",
        borderRadius: "3px",
        shadowShowBg: "red"
      },
      data: {
        title: "",
        shadowShow: false,
        titleShow: true
      }
    });
    // 文本的数据
    let setLabelDataform = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)({
      style: {
        fontSize: "18px",
        fontFamily: "Microsoft YaHei",
        color: "#000000",
        width: "100%",
        resize: "none",
        height: "96px",
        border: "solid 1px #dcdee2"
      },
      data: {
        labelValue: ""
      }
    });
    let cameraToImage = null;
    // 组件容器
    let boxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    // 选择容器
    let settingBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    // 主内容容器
    let mainBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    let scenceImageUrl = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("");
    let titleRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    // 图层选择容器
    let selectLayerBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    // 样式设置容器
    let selectTitleBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    // 添加文本容器
    let selectTextBoxRef = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    //页面设置tab设置
    const activeNames = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(["1"]);
    // 控制主容器与图层选择容器的切换
    let isShowSettingBox = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(true);
    //图层选择显示控制
    let isShowLayer = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false);
    //标题设置显示控制
    let isShowTitle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false);
    //添加文本显示控制
    let isShowText = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false);
    // 边框样式
    let borderStyleValue = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
    // 纸张设置
    let sizeData = [[{
      f: "A2",
      a: "portrait"
    }, "a2VSize"], [{
      f: "A3",
      a: "portrait"
    }, "a3VSize"], [{
      f: "A4",
      a: "portrait"
    }, "a4VSize"], [{
      f: "A5",
      a: "portrait"
    }, "a5VSize"], [{
      f: "A6",
      a: "portrait"
    }, "a6VSize"], [{
      f: "A2",
      a: "landscape"
    }, "a2HSize"], [{
      f: "A3",
      a: "landscape"
    }, "a3HSize"], [{
      f: "A4",
      a: "landscape"
    }, "a4HSize"], [{
      f: "A5",
      a: "landscape"
    }, "a5HSize"], [{
      f: "A6",
      a: "landscape"
    }, "a6HSize"]];
    // 字体大小
    let sizelist = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.reactive)([]);

    // 纸张类型
    let papForm = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("A4"); // 默认

    // 纸张方向
    let papAnchor = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null); // 默认
    // 图片格式
    let imageType = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("png");
    //图例对象
    let lengend_ref = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)();
    // 图例窗口显示与隐藏
    let legendShow = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false);
    // 比例尺显示与隐藏
    let scalesShow = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false);
    // 指北针的显示与隐藏
    let compassShow = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false);
    let isActive = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(0);
    //打印内容div
    let printContentDiv = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
    // 打印内容
    let printDiv = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
    // 打印内容中的地图容器
    let printMap = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(null);
    // 增加的文本的数据
    let setLabelData = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.reactive)([]);
    //当前时间
    let systemTime = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("");
    // 公司名
    let companyName = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)("");
    let printState = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false);
    let printViewer = null;
    // 打印对象
    let printObj = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)({
      id: "printMap",
      popTitle: "",
      beforeOpenCallback() {
        printState.value = true;
      },
      openCallback() {
        printState.value = false;
      }
    });
    let currentClick = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.reactive)({});
    let scaleFloor = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(1);
    let scaleStep = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(0.2);
    // 查询进度条
    let loadState = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.ref)(false);
    // 三维球id
    global_event_default().setDefaultMapInfo("scencePrint", "cesium", null);
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onMounted)(() => {
      setTitleDataform.value.data.title = props.printTitle || language.value.oneimage;
      papAnchor.value = "portrait";
      borderStyleValue.value = "printborder1";
      sizelist.value = [];
      for (let i = 15; i <= 32; i++) {
        // 字体大小下拉
        sizelist.value.push(i);
      }
      setLabelData.value = [];
      global_event_default().getWebMapByMapTarget("scencePrint", scenceView => {
        if (scenceView && scenceView._viewer) {
          printViewer = scenceView._viewer;
          initControl();
          cameraToImage = new Cesium.Kq3dCanvasToImage(scenceView._viewer._container, {
            viewer: scenceView._viewer,
            canvas: scenceView._viewer.scene.canvas
          });
        }
      });
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.onBeforeUnmount)(() => {
      destroy();
    });

    /**
     * 获取当前时间
     * @returns {string}
     */
    function getSystemIime() {
      let numMap = new Map([["0", "零"], ["1", "一"], ["2", "二"], ["3", "三"], ["4", "四"], ["5", "五"], ["6", "六"], ["7", "七"], ["8", "八"], ["9", "九"]]);
      let tennumMap = new Map([["1", "十"], ["2", "二十"], ["3", "三十"]]);
      let nowDate = new Date();
      let year = nowDate.getFullYear() + ""; //年数字
      let month = nowDate.getMonth() + 1 + ""; //月数字
      let day = nowDate.getDate() + ""; //日数字
      let yearCNStr = ""; //年中文
      let nonthCNStr = ""; //月中文
      let dayCNStr = ""; //日中文
      for (let i = 0; i < year.length; i++) {
        yearCNStr += numMap.get(year[i]);
      }
      yearCNStr += "年";
      if (month.length > 1) {
        nonthCNStr = tennumMap.get(month[0]);
        if (month[1] != "0") {
          nonthCNStr += numMap.get(month[1]);
        }
        nonthCNStr += "月";
      } else {
        nonthCNStr = numMap.get(month[0]) + "月";
      }
      if (day.length > 1) {
        dayCNStr = tennumMap.get(day[0]);
        if (day[1] != "0") {
          dayCNStr += numMap.get(day[1]);
        }
        dayCNStr += "日";
      } else {
        dayCNStr = numMap.get(day[0]) + "日";
      }
      return yearCNStr + nonthCNStr + dayCNStr;
    }

    /**
     * 获取当前时间(英文)
     * @returns {string}
     */
    function getSystemEnTime() {
      var dt = new Date();
      var m = new Array("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Spt", "Oct", "Nov", "Dec");
      var d = new Array("st", "nd", "rd", "th");
      var mn = dt.getMonth();
      var dn = dt.getDate();
      var dns;
      if (dn % 10 < 1 || dn % 10 > 3) {
        dns = d[3];
      } else {
        dns = d[dn % 10 - 1];
        if (dn == 11 || dn == 12) {
          dns = d[3];
        }
      }
      return m[mn] + " " + dn + dns + "," + dt.getFullYear();
    }
    function changStatusBar() {
      if (printViewer) printViewer.statusBar.show = scalesShow.value;
    }
    /**
     * 显示切换
     * @param {string} type
     */
    function setShowChange(type) {
      settingBoxRef.value.style.height = `${mainBoxRef.value.clientHeight}px`;
      // settingBoxRef.value.style.height = `${mainBoxRef.value.clientHeight}px`;
      if (type === "layer") {
        isShowLayer.value = true;
        isShowTitle.value = false;
        isShowText.value = false;
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.nextTick)(() => {
          // settingBoxRef.value.style.height = `${selectLayerBoxRef.value.clientHeight}px`;
          settingBoxRef.value.style.height = `${selectLayerBoxRef.value.clientHeight}px`;
        });
      }
      if (type === "title") {
        isShowLayer.value = false;
        isShowTitle.value = true;
        isShowText.value = false;
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.nextTick)(() => {
          // settingBoxRef.value.style.height = `${selectTitleBoxRef.value.clientHeight}px`;
          settingBoxRef.value.style.height = `${selectTitleBoxRef.value.clientHeight}px`;
        });
      }
      if (type === "text") {
        isShowLayer.value = false;
        isShowTitle.value = false;
        isShowText.value = true;
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.nextTick)(() => {
          // settingBoxRef.value.style.height = `${selectTextBoxRef.value.clientHeight}px`;
          settingBoxRef.value.style.height = `${selectTextBoxRef.value.clientHeight}px`;
        });
      }
    }

    /**
     * 切换后的左侧高度样式还原
     */
    function setMainStyle() {
      isShowLayer.value = false;
      isShowTitle.value = false;
      isShowText.value = false;
      settingBoxRef.value.style.height = `${mainBoxRef.value.clientHeight}px`;
    }

    /**
     * 左侧窗口高度还原
     */
    function changeMainHeight() {
      settingBoxRef.value.style.height = "auto";
    }
    /**
     * 初始化要在地图中显示的控件
     */
    function initControl() {
      var mapdiv = document.getElementById("scencePrint");
      let html = mapdiv.innerHTML;
      var legendDiv = document.getElementById("divlegendDiv");
      var compassDiv = document.getElementById("divcompassDiv");
      legendDiv.className = "kq3d-client-print-legendDiv";
      compassDiv.className = "kq3d-client-print-compassDiv";
      mapdiv.appendChild(compassDiv);
      mapdiv.appendChild(legendDiv);
    }

    /**
     * 边框样式切换
     * @param {object} value
     */
    function changeBorderStyleData(value) {
      printContentDiv.value.className = "kq3d-client-print-printContentDiv " + "kq3d-client-print-" + borderStyleValue.value;
    }

    /**
     * 纸张大小的切换
     */
    function changeMapContainerSize() {
      sizeData.forEach(item => {
        if (item[0].f === papForm.value && item[0].a === papAnchor.value) {
          let param = item[1];
          printMap.value.className = "kq3d-client-print-mapContainerDiv " + "kq3d-client-print-" + param;
          setScroll();
        }
      });
    }

    /**
     * 滚动条居中
     */
    function setScroll() {
      printDiv.value.scrollTop = printMap.value.clientHeight / 2 - printDiv.value.clientHeight / 2;
      printDiv.value.scrollLeft = printMap.value.clientWidth / 2 - printDiv.value.clientWidth / 2;
    }

    /**
     * 添加文本
     */
    function addLabel() {
      let item = {
        style: {
          fontSize: setLabelDataform.value.style.fontSize,
          fontFamily: setLabelDataform.value.style.fontFamily,
          color: setLabelDataform.value.style.color,
          padding: "10px 10px 5px 5px"
        },
        data: {
          dataId: setLabelData.value.length + 1,
          labelValue: setLabelDataform.value.data.labelValue,
          isShow: false
        }
      };
      setLabelData.value.push(item);
      setTimeout(() => {
        var mapdiv = document.getElementById("scencePrint");
        for (let i = 0; i < setLabelData.value.length; i++) {
          var labelDiv = document.getElementById(setLabelData.value[i].data.dataId);
          labelDiv.style.display = "block";
          mapdiv.appendChild(labelDiv);
        }
      }, 200);
    }

    /**
     * 通过id删除文本
     * @param {string} id
     */
    function delLabel(id) {
      for (let i = 0; i < setLabelData.value.length; i++) {
        if (id === setLabelData.value[i].data.dataId) {
          setLabelData.value.splice(i, 1);
          break;
        }
      }
    }

    /**
     * 清空文本
     */
    function clearLabel() {
      setLabelData.value.splice(0, setLabelData.value.length);
      setLabelDataform.value.data.labelValue = "";
    }

    /**
     * 设置拖动时的鼠标样式
     * @param {object} event
     */
    function setdragCursor(event) {
      let el = event.currentTarget;
      el.style.cursor = "move";
    }
    /**
     * 拖动DIV,地图不随着拖动
     * @param {object} event
     */
    function dragTl(event) {
      let mx = 0;
      let my = 0;
      let dx = 0;
      let dy = 0;
      let isDraging = false;
      let el = event.currentTarget;
      if (el.offsetTop < 0) {
        el.style.top = "0px";
      }
      event = event || window.event;
      mx = event.pageX;
      my = event.pageY;
      dx = el.offsetLeft;
      dy = el.offsetTop;
      isDraging = true;
      document.addEventListener("mousemove", moveWin);
      document.addEventListener("mouseup", removeEvent);
      document.onselectstart = function () {
        return false;
      };
      event.stopPropagation();
      // }
      function moveWin(event) {
        event = event || window.event;
        var x = event.pageX;
        var y = event.pageY;
        if (isDraging) {
          var moveX = dx + x - mx;
          var moveY = dy + y - my;
          let pageW = 0;
          let pageH = 0;
          pageW = printContentDiv.value.clientWidth - 2;
          pageH = printContentDiv.value.clientHeight - 2; // 2 控制下面的终点

          var dialogW = el.clientWidth;
          var dialogH = el.clientHeight;
          var maxX = pageW - dialogW;
          var maxY = pageH - dialogH;
          moveX = Math.min(Math.max(0, moveX), maxX); // 58 控制上面的起点
          moveY = Math.min(Math.max(0, moveY), maxY); // 58 控制上面的起点
          el.style.right = "auto";
          el.style.bottom = "auto";
          el.style.left = moveX + "px";
          el.style.top = moveY + "px";
        }
      }
      function removeEvent() {
        document.removeEventListener("mousemove", moveWin);
        document.removeEventListener("mouseup", removeEvent);
        el.style.cursor = "";
        document.onselectstart = function () {
          return true;
        };
        isDraging = false;
      }
    }
    function canvasToImage() {
      global_event_default().getWebMapByMapTarget("scencePrint", scenceView => {
        if (scenceView && scenceView._viewer) {
          scenceImageUrl.value = cameraToImage.toDataURL(scenceView._viewer.scene.canvas, {
            width: scenceView._viewer._lastWidth,
            height: scenceView._viewer._lastHeight,
            type: "JPG"
          });
        }
      });
    }
    /**
     * 保存为图片
     */
    function getPic() {
      canvasToImage();
      loadState.value = true;
      // 延时1000ms,等待图片读入到blob文件对象，然后使用URL.createObjectURL转换成src可用的地址
      setTimeout(() => {
        external_html2canvas_default()(printMap.value, {
          taintTest: true,
          // 检测每张图片都已经加载完成
          logging: true,
          // 启用日志记录以进行调试 (发现加上对去白边有帮助)
          allowTaint: true,
          // 否允许跨源图像污染画布
          backgroundColor: null,
          // 解决生成的图片有白边
          useCORS: true,
          // 如果截图的内容里有图片,解决文件跨域问题
          timeout: 2000 // 加载延时
        }).then(canvas => {
          loadState.value = false;
          let pageData = canvas.toDataURL("image/png", 1.0);
          let title = "printMap.png";
          if (imageType.value === "jpg") {
            pageData = canvas.toDataURL("image/jpeg", 1.0);
            title = "printMap.jpg";
          }
          const el = document.createElement("a");
          // 设置 href 为图片经过 base64 编码后的字符串，默认为 png 格式
          el.href = pageData;
          el.download = title;
          // 创建一个点击事件并对 a 标签进行触发
          const event = new MouseEvent("click");
          el.dispatchEvent(event);
        });
      }, 1000);
    }

    /**
     * 显示图例
     * @param {object} e
     */
    function showLegend(e) {
      if (e) {
        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.nextTick)(() => {
          lengend_ref.value.init();
        });
      }
    }
    /**
     * 等比例放大
     */
    function Enlarge() {
      isActive.value = 1;
      mouseScrollEnlarge(1);
    }

    /**
     * 等比例缩小
     */
    function Narrow() {
      isActive.value = 2;
      mouseScrollNarrow(-1);
    }

    /**
     * 拖动打印范围
     */
    function MovePrint() {
      if (isActive.value === 3) {
        isActive.value = 0;
      } else {
        isActive.value = 3;
        let divScreen = document.querySelector("#printMap");
        divScreen.addEventListener("mousedown", downFunc);
        divScreen.addEventListener("mouseup", upFunc);
      }
    }

    /**
     * 拖动打印范围后还原
     */
    function RefreshStatus() {
      isActive.value = 0;
      document.querySelector("#printMap").style.cursor = "";
      document.getElementById("printMap").style.marginLeft = "auto";
      document.getElementById("printMap").style.marginTop = 0;
      document.getElementById("printMap").style.transform = "";
    }

    /**
     * 拖动打印范围的点击鼠标左键事件
     * @param {object} e
     */
    function downFunc(e) {
      if (isActive.value !== 3) {
        return false;
      }
      document.querySelector("#printMap").style.cursor = "move";
      currentClick.x = e.pageX - document.getElementById("printMap").offsetLeft;
      currentClick.y = e.pageY - document.getElementById("printMap").offsetTop;
      document.addEventListener("mousemove", moveFunc);
    }
    /**
     * 拖动打印范围的松开鼠标左键事件
     * @param {object} e
     */
    function upFunc() {
      document.querySelector("#printMap").style.cursor = "";
      document.removeEventListener("mousemove", moveFunc);
    }
    /**
     * 拖动打印范围的拖动鼠标事件
     * @param {object} e
     */
    function moveFunc() {
      let mosPostion = getMousePos();
      moveScreenTable(mosPostion.x - currentClick.x, mosPostion.y - (currentClick.y + 50));
    }
    /**
     * 计算拖动后的位置
     * @param {nubmer} x
     * @param {nubmer} y
     */
    function moveScreenTable(x, y) {
      let docScreen = document.querySelector("#printMap");
      let moveX = getPixelValue(docScreen, "left");
      let moveY = getPixelValue(docScreen, "top");
      moveX += x;
      moveY += y;
      if (moveY < 0) {
        moveY = 0;
      }
      document.getElementById("printMap").style.marginLeft = moveX + "px";
      document.getElementById("printMap").style.marginTop = moveY + "px";
    }

    /**
     * 等比例放大
     * @param {number} step
     */
    function mouseScrollEnlarge(step) {
      if (step > 0) {
        scaleFloor.value = scaleFloor.value + scaleStep.value;
      }
      if (scaleFloor.value > 0) {
        document.getElementById("printMap").style.transform = "scale(" + scaleFloor.value + ")";
      } else {
        document.getElementById("printMap").style.transform = "";
      }
    }

    /**
     * 等比例缩小
     * @param {number} step
     */
    function mouseScrollNarrow(step) {
      if (step < 0 && scaleFloor.value > scaleStep.value * 2) {
        scaleFloor.value = scaleFloor.value - scaleStep.value;
      } else {
        undefined;
      }
      if (scaleFloor.value > 0) {
        document.getElementById("printMap").style.transform = "scale(" + scaleFloor.value + ")";
      } else {
        document.getElementById("printMap").style.transform = "";
      }
    }
    /**
     * 获取鼠标位置
     * @param {object} event
     */
    function getMousePos(event) {
      const e = event || window.event;
      const x = e.clientX - document.querySelector("#printMap").offsetLeft;
      const y = e.clientY - document.querySelector("#printMap").offsetTop;
      return {
        x: e.clientX,
        y: e.clientY
      };
    }
    function getPixelValue(doc, key) {
      return Number(doc.style[key].replace("px", ""));
    }
    /**
     * 清除设置
     */
    function destroy() {
      if (legendShow.value) {
        legendShow.value = false;
      }
      if (scalesShow.value) {
        scalesShow.value = false;
      }
      setLabelData.value = [];
      setTitleDataform.value = {
        // 标题的数据
        style: {
          fontSize: "18px",
          fontFamily: "Microsoft YaHei",
          color: "rgba(0, 0, 0)",
          textarea: "",
          backgroundColor: "",
          padding: "5px",
          borderRadius: "3px",
          shadowShowBg: "red"
        },
        data: {
          title: "",
          shadowShow: false,
          titleShow: true
        }
      };
      setLabelDataform.value = {
        // 文本的数据
        style: {
          fontSize: "18px",
          fontFamily: "Microsoft YaHei",
          color: "#000000",
          width: "216px",
          resize: "none",
          height: "96px",
          border: "solid 1px #dcdee2"
        },
        data: {
          labelValue: ""
        }
      };
    }

    // 抛出方法 外部调用
    __expose({
      destroy
    });
    return (_ctx, _cache) => {
      const _component_kq_icon = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-icon");
      const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-button");
      const _component_kq_checkbox = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-checkbox");
      const _component_kq_col = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-col");
      const _component_kq_row = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-row");
      const _component_kq_option = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-option");
      const _component_kq_select = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-select");
      const _component_kq_form_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form-item");
      const _component_kq_form = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-form");
      const _component_kq_divider = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-divider");
      const _component_kq_collapse_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-collapse-item");
      const _component_kq_collapse = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-collapse");
      const _component_kq_layer_tree = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-layer-tree");
      const _component_kq_input = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-input");
      const _component_kq_color_picker = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-color-picker");
      const _component_kq3d_status_bar = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq3d-status-bar");
      const _component_kq_legend = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-legend");
      const _component_kq3d_compass = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq3d-compass");
      const _component_kq_scene_view = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-scene-view");
      const _component_kq_scrollbar = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.resolveComponent)("kq-scrollbar");
      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("div", _hoisted_1, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "settleLayer",
        ref_key: "boxRef",
        ref: boxRef,
        style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)({
          left: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isShowSettingBox) ? `16px` : `-442px`
        })
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_2, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isShowSettingBox) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)(_component_kq_button, {
        key: 0,
        onClick: _cache[0] || (_cache[0] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(isShowSettingBox) ? isShowSettingBox.value = false : isShowSettingBox = false),
        class: "hide-setting-box-btn"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.DArrowLeft))]),
          _: 1 /* STABLE */
        })]),
        _: 1 /* STABLE */
      })) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true), !(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isShowSettingBox) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)(_component_kq_button, {
        key: 1,
        onClick: _cache[1] || (_cache[1] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(isShowSettingBox) ? isShowSettingBox.value = true : isShowSettingBox = true),
        class: "show-setting-box-btn"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.DArrowRight))]),
          _: 1 /* STABLE */
        })]),
        _: 1 /* STABLE */
      })) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true)]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(["setting-box", {
          'kq-box-shadow': __props.showShadow
        }]),
        ref_key: "settingBoxRef",
        ref: settingBoxRef
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(["box", (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isShowLayer) ? 'is-show-layer' : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isShowTitle) ? 'is-show-layer' : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isShowText) ? 'is-show-layer' : null])
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "main-box",
        ref_key: "mainBoxRef",
        ref: mainBoxRef
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 图层选择-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "select-layer-bar bar",
        onClick: _cache[2] || (_cache[2] = $event => setShowChange('layer'))
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("h4", _hoisted_3, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).layerSelect), 1 /* TEXT */), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.ArrowRight))]),
        _: 1 /* STABLE */
      })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "select-layer-bar bar select-layer-margin",
        onClick: _cache[3] || (_cache[3] = $event => setShowChange('title'))
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("h4", _hoisted_4, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).titlesetting), 1 /* TEXT */), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.ArrowRight))]),
        _: 1 /* STABLE */
      })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "select-layer-bar bar select-layer-margin",
        onClick: _cache[4] || (_cache[4] = $event => setShowChange('text'))
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("h4", _hoisted_5, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).addtext), 1 /* TEXT */), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.ArrowRight))]),
        _: 1 /* STABLE */
      })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_collapse, {
        modelValue: activeNames.value,
        "onUpdate:modelValue": _cache[14] || (_cache[14] = $event => activeNames.value = $event),
        onChange: changeMainHeight
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_collapse_item, {
          name: "1"
        }, {
          title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).pageetting) + " ", 1 /* TEXT */), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, {
            class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)(["header-icon", activeNames.value.includes('1') ? 'is-active' : null])
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.CaretRight))]),
            _: 1 /* STABLE */
          }, 8 /* PROPS */, ["class"])]),
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
              span: 9
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_checkbox, {
                class: "btnStyle",
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(legendShow),
                "onUpdate:modelValue": _cache[5] || (_cache[5] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(legendShow) ? legendShow.value = $event : legendShow = $event),
                onChange: showLegend
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printlegend), 1 /* TEXT */)]),
                _: 1 /* STABLE */
              }, 8 /* PROPS */, ["modelValue"])]),
              _: 1 /* STABLE */
            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
              span: 9
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_checkbox, {
                class: "btnStyle",
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(compassShow),
                "onUpdate:modelValue": _cache[6] || (_cache[6] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(compassShow) ? compassShow.value = $event : compassShow = $event)
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printcompass), 1 /* TEXT */)]),
                _: 1 /* STABLE */
              }, 8 /* PROPS */, ["modelValue"])]),
              _: 1 /* STABLE */
            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
              span: 6
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_checkbox, {
                class: "btnStyle",
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(scalesShow),
                "onUpdate:modelValue": _cache[7] || (_cache[7] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(scalesShow) ? scalesShow.value = $event : scalesShow = $event),
                onChange: changStatusBar
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printstatusbar), 1 /* TEXT */)]),
                _: 1 /* STABLE */
              }, 8 /* PROPS */, ["modelValue"])]),
              _: 1 /* STABLE */
            })]),
            _: 1 /* STABLE */
          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_6, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form, {
            model: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform),
            "label-width": "70px",
            "label-position": "left"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                  label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printlace
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(borderStyleValue),
                    "onUpdate:modelValue": _cache[8] || (_cache[8] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(borderStyleValue) ? borderStyleValue.value = $event : borderStyleValue = $event),
                    onChange: changeBorderStyleData
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "printborder1",
                      label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).Template1
                    }, null, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "printborder2",
                      label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).Template2
                    }, null, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "printborder3",
                      label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).Template3
                    }, null, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "printborder4",
                      label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).Template4
                    }, null, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "printborder5",
                      label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).Template5
                    }, null, 8 /* PROPS */, ["label"])]),
                    _: 1 /* STABLE */
                  }, 8 /* PROPS */, ["modelValue"])]),
                  _: 1 /* STABLE */
                }, 8 /* PROPS */, ["label"])]),
                _: 1 /* STABLE */
              })]),
              _: 1 /* STABLE */
            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                  label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).paperType
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(papForm),
                    "onUpdate:modelValue": _cache[9] || (_cache[9] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(papForm) ? papForm.value = $event : papForm = $event),
                    onChange: changeMapContainerSize
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "A2"
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => _cache[27] || (_cache[27] = [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)("A2")])),
                      _: 1 /* STABLE */
                    }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "A3"
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => _cache[28] || (_cache[28] = [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)("A3")])),
                      _: 1 /* STABLE */
                    }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "A4"
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => _cache[29] || (_cache[29] = [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)("A4")])),
                      _: 1 /* STABLE */
                    }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "A5"
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => _cache[30] || (_cache[30] = [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)("A5")])),
                      _: 1 /* STABLE */
                    }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "A6"
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => _cache[31] || (_cache[31] = [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)("A6")])),
                      _: 1 /* STABLE */
                    })]),
                    _: 1 /* STABLE */
                  }, 8 /* PROPS */, ["modelValue"])]),
                  _: 1 /* STABLE */
                }, 8 /* PROPS */, ["label"])]),
                _: 1 /* STABLE */
              })]),
              _: 1 /* STABLE */
            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                  label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).paperDirection
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(papAnchor),
                    "onUpdate:modelValue": _cache[10] || (_cache[10] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(papAnchor) ? papAnchor.value = $event : papAnchor = $event),
                    onChange: changeMapContainerSize
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "portrait",
                      label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).portrait
                    }, null, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "landscape",
                      label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).landscape
                    }, null, 8 /* PROPS */, ["label"])]),
                    _: 1 /* STABLE */
                  }, 8 /* PROPS */, ["modelValue"])]),
                  _: 1 /* STABLE */
                }, 8 /* PROPS */, ["label"])]),
                _: 1 /* STABLE */
              })]),
              _: 1 /* STABLE */
            }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
                  label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).imageFormat
                }, {
                  default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
                    modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(imageType),
                    "onUpdate:modelValue": _cache[11] || (_cache[11] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.isRef)(imageType) ? imageType.value = $event : imageType = $event)
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "png"
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => _cache[32] || (_cache[32] = [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)("png")])),
                      _: 1 /* STABLE */
                    }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                      value: "jpg"
                    }, {
                      default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => _cache[33] || (_cache[33] = [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)("jpg")])),
                      _: 1 /* STABLE */
                    })]),
                    _: 1 /* STABLE */
                  }, 8 /* PROPS */, ["modelValue"])]),
                  _: 1 /* STABLE */
                }, 8 /* PROPS */, ["label"])]),
                _: 1 /* STABLE */
              })]),
              _: 1 /* STABLE */
            })]),
            _: 1 /* STABLE */
          }, 8 /* PROPS */, ["model"])]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_7, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
            type: "primary",
            onClick: _cache[12] || (_cache[12] = $event => getPic()),
            loading: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(loadState)
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).savePicture), 1 /* TEXT */)]),
            _: 1 /* STABLE */
          }, 8 /* PROPS */, ["loading"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)(((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)(_component_kq_button, {
            type: "plain",
            loading: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(printState),
            onClick: _cache[13] || (_cache[13] = $event => canvasToImage())
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).sendprinter), 1 /* TEXT */)]),
            _: 1 /* STABLE */
          }, 8 /* PROPS */, ["loading"])), [[(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)((vue3_print_nb_umd_default())), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(printObj)]])])]),
          _: 1 /* STABLE */
        })]),
        _: 1 /* STABLE */
      }, 8 /* PROPS */, ["modelValue"])], 512 /* NEED_PATCH */), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 图层选择-box "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isShowLayer) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("div", {
        key: 0,
        class: "select-layer-box",
        ref_key: "selectLayerBoxRef",
        ref: selectLayerBoxRef
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 图层选择-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "select-layer-bar bar",
        onClick: setMainStyle
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.ArrowLeft))]),
        _: 1 /* STABLE */
      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("h4", _hoisted_8, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).layerSelect), 1 /* TEXT */)]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_9, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_layer_tree, {
        showShadow: false,
        "map-target": 'scencePrint'
      })])], 512 /* NEED_PATCH */)) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 标题设置-box "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "select-layer-box",
        ref_key: "selectTitleBoxRef",
        ref: selectTitleBoxRef
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 标题设置-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "select-layer-bar bar",
        onClick: setMainStyle
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.ArrowLeft))]),
        _: 1 /* STABLE */
      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("h4", _hoisted_10, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).titlesetting), 1 /* TEXT */)]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form, {
        model: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform),
        "label-width": "70px",
        "label-position": "left"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_11, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 24
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printtitle
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_input, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).data.title,
                "onUpdate:modelValue": _cache[15] || (_cache[15] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).data.title = $event)
              }, null, 8 /* PROPS */, ["modelValue"])]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["label"])]),
            _: 1 /* STABLE */
          })]),
          _: 1 /* STABLE */
        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 24
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).font
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.fontFamily,
                "onUpdate:modelValue": _cache[16] || (_cache[16] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.fontFamily = $event),
                placeholder: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).pleaseselect,
                style: {
                  "width": "100%"
                }
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                  value: "Microsoft YaHei",
                  label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).yahei
                }, null, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                  value: "NSimSun",
                  label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).NSimSun
                }, null, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
                  value: "KaiTi",
                  label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).KaiTi
                }, null, 8 /* PROPS */, ["label"])]),
                _: 1 /* STABLE */
              }, 8 /* PROPS */, ["modelValue", "placeholder"])]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["label"])]),
            _: 1 /* STABLE */
          })]),
          _: 1 /* STABLE */
        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 16
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).fontsize
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.fontSize,
                "onUpdate:modelValue": _cache[17] || (_cache[17] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.fontSize = $event),
                placeholder: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).fontsize
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(sizelist).value, size => {
                  return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)(_component_kq_option, {
                    key: size,
                    value: `${size}px`
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)(size), 1 /* TEXT */)]),
                    _: 2 /* DYNAMIC */
                  }, 1032 /* PROPS, DYNAMIC_SLOTS */, ["value"]);
                }), 128 /* KEYED_FRAGMENT */))]),
                _: 1 /* STABLE */
              }, 8 /* PROPS */, ["modelValue", "placeholder"])]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["label"])]),
            _: 1 /* STABLE */
          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 2
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => _cache[34] || (_cache[34] = [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)(" ")])),
            _: 1 /* STABLE */
          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 6
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).fontcolor
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.color,
                "onUpdate:modelValue": _cache[18] || (_cache[18] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.color = $event),
                "show-alpha": ""
              }, null, 8 /* PROPS */, ["modelValue"])]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["label"])]),
            _: 1 /* STABLE */
          })]),
          _: 1 /* STABLE */
        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 8
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).backgroundColor
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.backgroundColor,
                "onUpdate:modelValue": _cache[19] || (_cache[19] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.backgroundColor = $event),
                "show-alpha": ""
              }, null, 8 /* PROPS */, ["modelValue"])]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["label"])]),
            _: 1 /* STABLE */
          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 8
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).shadowcolor
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.shadowShowBg,
                "onUpdate:modelValue": _cache[20] || (_cache[20] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.shadowShowBg = $event),
                "show-alpha": ""
              }, null, 8 /* PROPS */, ["modelValue"])]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["label"])]),
            _: 1 /* STABLE */
          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 8
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_12, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_checkbox, {
              modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).data.shadowShow,
              "onUpdate:modelValue": _cache[21] || (_cache[21] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).data.shadowShow = $event)
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).backgroundShadow), 1 /* TEXT */)]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["modelValue"])])]),
            _: 1 /* STABLE */
          })]),
          _: 1 /* STABLE */
        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_13, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_checkbox, {
          modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).data.titleShow,
          "onUpdate:modelValue": _cache[22] || (_cache[22] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).data.titleShow = $event)
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).displaytitle), 1 /* TEXT */)]),
          _: 1 /* STABLE */
        }, 8 /* PROPS */, ["modelValue"])])])]),
        _: 1 /* STABLE */
      }, 8 /* PROPS */, ["model"])], 512 /* NEED_PATCH */), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isShowTitle)]]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 添加文本-box "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "select-layer-box",
        ref_key: "selectTextBoxRef",
        ref: selectTextBoxRef
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 添加文本-bar "), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        class: "select-layer-bar bar",
        onClick: setMainStyle
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.ArrowLeft))]),
        _: 1 /* STABLE */
      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("h4", _hoisted_14, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).addtext), 1 /* TEXT */)]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_15, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form, {
        model: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform),
        "label-width": "70px",
        "label-position": "left"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
          label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).font
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
            modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform).style.fontFamily,
            "onUpdate:modelValue": _cache[23] || (_cache[23] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform).style.fontFamily = $event),
            placeholder: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).pleaseselect,
            style: {
              "width": "100%"
            }
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
              value: "Microsoft YaHei",
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).yahei
            }, null, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
              value: "NSimSun",
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).NSimSun
            }, null, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_option, {
              value: "KaiTi",
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).KaiTi
            }, null, 8 /* PROPS */, ["label"])]),
            _: 1 /* STABLE */
          }, 8 /* PROPS */, ["modelValue", "placeholder"])]),
          _: 1 /* STABLE */
        }, 8 /* PROPS */, ["label"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_row, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 16
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).fontsize
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_select, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform).style.fontSize,
                "onUpdate:modelValue": _cache[24] || (_cache[24] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform).style.fontSize = $event),
                placeholder: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).fontsize
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(sizelist).value, size => {
                  return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)(_component_kq_option, {
                    key: size,
                    value: `${size}px`
                  }, {
                    default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)(size), 1 /* TEXT */)]),
                    _: 2 /* DYNAMIC */
                  }, 1032 /* PROPS, DYNAMIC_SLOTS */, ["value"]);
                }), 128 /* KEYED_FRAGMENT */))]),
                _: 1 /* STABLE */
              }, 8 /* PROPS */, ["modelValue", "placeholder"])]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["label"])]),
            _: 1 /* STABLE */
          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 2
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => _cache[35] || (_cache[35] = [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)(" ")])),
            _: 1 /* STABLE */
          }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_col, {
            span: 6
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
              label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).fontcolor
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", null, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_color_picker, {
                modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform).style.color,
                "onUpdate:modelValue": _cache[25] || (_cache[25] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform).style.color = $event),
                "show-alpha": ""
              }, null, 8 /* PROPS */, ["modelValue"])])]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["label"])]),
            _: 1 /* STABLE */
          })]),
          _: 1 /* STABLE */
        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_form_item, {
          class: "textarea",
          label: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printtext
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("textarea", {
            class: "textcontent",
            rows: "12",
            placeholder: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).pleaseentercontent,
            spellcheck: "false",
            "onUpdate:modelValue": _cache[26] || (_cache[26] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform).data.labelValue = $event),
            style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform).style)
          }, null, 12 /* STYLE, PROPS */, _hoisted_16), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vModelText, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelDataform).data.labelValue]])]),
          _: 1 /* STABLE */
        }, 8 /* PROPS */, ["label"])]),
        _: 1 /* STABLE */
      }, 8 /* PROPS */, ["model"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_17, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
        type: "primary",
        onClick: addLabel
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printadd), 1 /* TEXT */)]),
        _: 1 /* STABLE */
      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
        type: "plain",
        onClick: clearLabel
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createTextVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printclear), 1 /* TEXT */)]),
        _: 1 /* STABLE */
      })])])], 512 /* NEED_PATCH */), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isShowText)]])], 2 /* CLASS */)], 2 /* CLASS */)], 4 /* STYLE */), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_18, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_19, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
        onClick: Enlarge,
        title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).equalscalezoom,
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isActive) === 1 ? 'clickborder' : '')
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.ZoomIn))]),
          _: 1 /* STABLE */
        })]),
        _: 1 /* STABLE */
      }, 8 /* PROPS */, ["title", "class"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
        onClick: Narrow,
        title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).scaleddown,
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isActive) === 2 ? 'clickborder' : '')
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.ZoomOut))]),
          _: 1 /* STABLE */
        })]),
        _: 1 /* STABLE */
      }, 8 /* PROPS */, ["title", "class"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
        onClick: MovePrint,
        title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printdrag,
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeClass)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(isActive) === 3 ? 'clickborder' : '')
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.Rank))]),
          _: 1 /* STABLE */
        })]),
        _: 1 /* STABLE */
      }, 8 /* PROPS */, ["title", "class"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_button, {
        onClick: RefreshStatus,
        title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).restore
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, null, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.Refresh))]),
          _: 1 /* STABLE */
        })]),
        _: 1 /* STABLE */
      }, 8 /* PROPS */, ["title"])])]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
        ref_key: "printDiv",
        ref: printDiv,
        class: "kq3d-client-print-printDiv"
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_scrollbar, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
          ref_key: "printMap",
          ref: printMap,
          class: "kq3d-client-print-mapContainerDiv kq3d-client-print-a4VSize",
          onselectstart: "return false",
          id: "printMap"
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_20, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
          ref_key: "titleRef",
          ref: titleRef,
          style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)({
            boxShadow: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).data.shadowShow ? (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style.shadowShowBg + ' 5px 2px 6px' : ''
          }),
          class: "kq3d-client-print-titleDivStyle"
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
          style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).style)
        }, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).data.title), 5 /* TEXT, STYLE */)], 4 /* STYLE */), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setTitleDataform).data.titleShow]])]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
          class: "kq3d-client-print-printContentDiv kq3d-client-print-printborder1",
          ref_key: "printContentDiv",
          ref: printContentDiv
        }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_21, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("img", {
          src: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(scenceImageUrl)
        }, null, 8 /* PROPS */, _hoisted_22)]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_scene_view, {
          target: 'scencePrint',
          options: __props.options,
          service: __props.service,
          scenceInfo: __props.scenceInfo,
          showToolButtons: __props.showToolButtons,
          defaultShowLayerNames: __props.defaultShowLayerNames,
          toolButtonsPosition: __props.toolButtonsPosition,
          showLogo: __props.showLogo,
          style: {
            "position": "relative"
          }
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(scalesShow) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)(_component_kq3d_status_bar, {
            key: 0
          })) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("图例"), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
            class: "kq3d-client-print-legendDiv",
            onMouseover: setdragCursor,
            onMousedown: dragTl,
            id: "divlegendDiv"
          }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(legendShow) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createBlock)(_component_kq_legend, {
            key: 0,
            mapTarget: "scencePrint",
            ref_key: "lengend_ref",
            ref: lengend_ref
          }, null, 512 /* NEED_PATCH */)) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("v-if", true)], 32 /* NEED_HYDRATION */), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)("指北针"), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
            class: "kq3d-client-print-compassDiv",
            onMouseover: setdragCursor,
            onMousedown: dragTl,
            id: "divcompassDiv"
          }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq3d_compass)], 544 /* NEED_HYDRATION, NEED_PATCH */), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(compassShow)]]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createCommentVNode)(" 文本标注 "), ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(setLabelData).value, item => {
            return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withDirectives)(((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementBlock)("div", {
              id: item.data.dataId,
              key: item.data.dataId,
              class: "kq3d-client-print-labelDivStyle",
              onMouseover: setdragCursor,
              onMousedown: dragTl
            }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
              style: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.normalizeStyle)(item.style)
            }, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)(item.data.labelValue), 5 /* TEXT, STYLE */), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", {
              class: "closeIconDiv",
              onClick: $event => delLabel(item.data.dataId),
              style: {
                "position": "absolute",
                "top": "0px",
                "right": "0px",
                "display": "none"
              }
            }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)(_component_kq_icon, {
              size: 24,
              style: {
                "cursor": "Pointer",
                "color": "#da0000"
              },
              title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printclose
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(icons_vue_.Close))]),
              _: 1 /* STABLE */
            }, 8 /* PROPS */, ["title"])], 8 /* PROPS */, _hoisted_24)], 40 /* PROPS, NEED_HYDRATION */, _hoisted_23)), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.vShow, item.data.isShow]]);
          }), 128 /* KEYED_FRAGMENT */))]),
          _: 1 /* STABLE */
        }, 8 /* PROPS */, ["options", "service", "scenceInfo", "showToolButtons", "defaultShowLayerNames", "toolButtonsPosition", "showLogo"])], 512 /* NEED_PATCH */), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_25, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_26, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("span", null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printcompany) + "：" + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(companyName)), 1 /* TEXT */)]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("div", _hoisted_27, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.createElementVNode)("span", null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(language).printdate) + "：" + (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_.unref)(systemTime)), 1 /* TEXT */)])])], 512 /* NEED_PATCH */)]),
        _: 1 /* STABLE */
      })], 512 /* NEED_PATCH */)], 512 /* NEED_PATCH */);
    };
  }
}));
;// CONCATENATED MODULE: ./src/webgl/clientPrint/ClientPrint.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/webgl/clientPrint/ClientPrint.vue



const __exports__ = ClientPrintvue_type_script_setup_true_lang_js;

/* harmony default export */ var ClientPrint = (__exports__);
// EXTERNAL MODULE: external "@kq_npm/client_common_vue/init.js"
var init_js_ = __webpack_require__(455);
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_);
;// CONCATENATED MODULE: ./src/webgl/clientPrint/index.js
/*
 * Copyright (C) 2019 KQ GEO Technologies Co., Ltd.
 * All rights reserved.
 */


ClientPrint.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(ClientPrint.name, ClientPrint);
};

}();
/******/ 	return __webpack_exports__;
/******/ })()
;
});